@charset "UTF-8";

/* general setting */
:root {
  --footer-height: 80px;
}

*, *:before, *:after {
  box-sizing: border-box;
}

html {
  min-height: 100%;
  position: relative;
}

body {
  height: 100%;
  margin: 0px;
  padding: 0px;
  color: #444;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 14px;
  margin-bottom: var(--footer-height);
}

/* element */
input[type="text"],
input[type="number"] {
    width: 100%;
    margin: 2px 0;
}
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
input[type="number"] {
  -moz-appearance:textfield;
}

input[type="radio"] {
  margin: 3px 3px 3px 5px;
  accent-color: #0075FF;
  cursor: pointer;
}

label {
  display: inline-flex;
  align-items: center;
  cursor: pointer;
}

header {
  text-align: center;
  border-bottom: solid 2px #ccc;
}

footer {
  width: 100%;
  height: var(--footer-height);
  position: absolute; 
  bottom: 0;
  text-align: center;
  background-color: #333;
  color: #eee;
}
footer div {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform : translate(-50%, -50%);
  transform : translate(-50%, -50%);
  line-height: 1.3em;
}

/* class */
.main_wrapper {
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  width: 100%;
  max-width: 1020px;
  height: 100%;
  margin: 0 auto;
  padding: 0 10px;
}

.info_container {
  width: 100%;
  margin: 0 auto;
  margin-top: 10px;
  margin-bottom: 10px;
  padding: 5px 0;
}
.info_container details {
  width: 100%;
  font-size: 1.2em;
  line-height: 1.5em;
}
.info_container summary {
  font-weight: bold;
  cursor: pointer;
}
.info_container details .details_less {
  display: none;
}
.info_container details[open] .details_more {
  display: none;
}
.info_container details[open] .details_less {
  display: inline;
}
.how_to {
  margin-top: 5px;
  padding: 5px 20px 20px 20px;
  border: 1px solid #ccc; 
  border-radius: 3px;
}
.how_to .title_sub {
  font-size: 1.25em;
}

.input_container {
  width: 40%;
  margin-bottom: 20px;
  padding: 10px 20px;
  border: 1px solid #ccc; 
  border-radius: 3px;
}

.chart_container {
  width: 60%;
  margin-bottom: 20px;
  padding: 10px 20px;
  border: 1px solid #ccc; 
  border-radius: 3px;
}
.chart_item {
  margin-bottom: 10px;
}
.chart_border {
  display: none;
}

@media screen and (max-width: 768px) {
  .input_container,
  .chart_container {
    width: 100%;
  }
}

.link_container {
  width: 100%;
  margin: 0 auto;
  margin-bottom: 20px;
  padding: 10px 0;
  font-size: 1.2em;
  font-weight: bold;
  text-align: center;
}
.link_container a {
  color: inherit;
}

.title_sub {
  font-size: 1.5em;
  font-weight: bold;
  margin: 10px 0;
}

.title_table {
  font-size: 1.2em;
  font-weight: bold;
}

.table_class {
  width: 100%;
  margin: 5px 0 15px 0;
  border-collapse: collapse;
}
.table_class td, th { 
  padding: 5px 5px;
  border: 1px solid #ccc; 
}
.table_class th {
  background-color: #eee;
  width: 40%;
  font-weight: normal;
}

.table_output td {
  padding: 5px 10px;
}

.btn_container {
  margin: 20px 0;
}

.btn {
  color: #fff;
  background-color: #2196F3;
  border: 1px solid #2196F3;
  border-radius: 3px;
  padding: 10px 15px;
  margin: 2px 0;
  cursor: pointer;
  font-weight: bold;
  -webkit-appearance: none;
}
.btn:hover {
  color: #444;
  background-color: #eee;
  border: 1px solid #444;
}
.btn_color2 {
    color: #444;
    background-color: #e9e9e9;
    border: 1px solid #e9e9e9;
}
.btn_color2:hover {
    background-color: #eee;
    border: 1px solid #333;
}

.from_dates_table,
.from_age_table {
  display: none;
}

#dialog {
  padding: 20px;
}